## dwm 2.1

=== Makefile ===
# dwm - dynamic window manager
#   (C)opyright MMVI Anselm R. Garbe

include config.mk

SRC = client.c draw.c event.c main.c tag.c util.c view.c
OBJ = ${SRC:.c=.o}

all: options dwm

options:
	@echo dwm build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@echo "LD       = ${LD}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: dwm.h config.h config.mk

config.h:
	@echo creating $@ from config.default.h
	@cp config.default.h $@

dwm: ${OBJ}
	@echo LD $@
	@${LD} -o $@ ${OBJ} ${LDFLAGS}
	@strip $@

clean:
	@echo cleaning
	@rm -f dwm ${OBJ} dwm-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dwm-${VERSION}
	@cp -R LICENSE Makefile README config.*.h config.mk \
		dwm.1 dwm.h ${SRC} dwm-${VERSION}
	@tar -cf dwm-${VERSION}.tar dwm-${VERSION}
	@gzip dwm-${VERSION}.tar
	@rm -rf dwm-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dwm ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dwm
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed 's/VERSION/${VERSION}/g' < dwm.1 > ${DESTDIR}${MANPREFIX}/man1/dwm.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dwm.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dwm
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dwm.1

.PHONY: all options clean dist install uninstall

## dwm 4.3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # dwm - dynamic window manager
-#   (C)opyright MMVI Anselm R. Garbe
+# © 2006-2007 Anselm R. Garbe, Sander van Dijk
 
 include config.mk
 
-SRC = client.c draw.c event.c main.c tag.c util.c view.c
+SRC = client.c draw.c event.c layout.c main.c tag.c util.c
 OBJ = ${SRC:.c=.o}
 
 all: options dwm
@@ -13,7 +13,6 @@
 	@echo "CFLAGS   = ${CFLAGS}"
 	@echo "LDFLAGS  = ${LDFLAGS}"
 	@echo "CC       = ${CC}"
-	@echo "LD       = ${LD}"
 
 .c.o:
 	@echo CC $<
@@ -26,9 +25,8 @@
 	@cp config.default.h $@
 
 dwm: ${OBJ}
-	@echo LD $@
-	@${LD} -o $@ ${OBJ} ${LDFLAGS}
-	@strip $@
+	@echo CC -o $@
+	@${CC} -o $@ ${OBJ} ${LDFLAGS}
 
 clean:
 	@echo cleaning
@@ -50,7 +48,7 @@
 	@chmod 755 ${DESTDIR}${PREFIX}/bin/dwm
 	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
 	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
-	@sed 's/VERSION/${VERSION}/g' < dwm.1 > ${DESTDIR}${MANPREFIX}/man1/dwm.1
+	@sed "s/VERSION/${VERSION}/g" < dwm.1 > ${DESTDIR}${MANPREFIX}/man1/dwm.1
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dwm.1
 
 uninstall:

## dwm 4.7

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-SRC = client.c draw.c event.c layout.c main.c tag.c util.c
+SRC = dwm.c
 OBJ = ${SRC:.c=.o}
 
 all: options dwm
@@ -18,11 +18,11 @@
 	@echo CC $<
 	@${CC} -c ${CFLAGS} $<
 
-${OBJ}: dwm.h config.h config.mk
+${OBJ}: config.h config.mk
 
 config.h:
-	@echo creating $@ from config.default.h
-	@cp config.default.h $@
+	@echo creating $@ from config.def.h
+	@cp config.def.h $@
 
 dwm: ${OBJ}
 	@echo CC -o $@
@@ -35,8 +35,8 @@
 dist: clean
 	@echo creating dist tarball
 	@mkdir -p dwm-${VERSION}
-	@cp -R LICENSE Makefile README config.*.h config.mk \
-		dwm.1 dwm.h ${SRC} dwm-${VERSION}
+	@cp -R LICENSE Makefile README config.def.h config.mk \
+		dwm.1 ${SRC} dwm-${VERSION}
 	@tar -cf dwm-${VERSION}.tar dwm-${VERSION}
 	@gzip dwm-${VERSION}.tar
 	@rm -rf dwm-${VERSION}

## dwm 5.8.2

=== debian/changelog ===
dwm (5.8.2-4) unstable; urgency=high

  * Fix "dwm doesn't work, black screen" <fix build script to clean config.h>
    (Closes: #618401)
  * Fix "Package description describes old behaviour" <removed text> (Closes:
    #615154)
  * Fix "startx, dwm shows error messages on a non functional fullscreen
    xterm" <same as #618401> (Closes: #606985)

 -- Kai Hendry <hendry@iki.fi>  Sun, 03 Apr 2011 17:04:21 +0000

dwm (5.8.2-3) unstable; urgency=low

  * New maintainer

 -- Kai Hendry <hendry@iki.fi>  Sat, 04 Dec 2010 11:47:07 +0000

dwm (5.8.2-2) experimental; urgency=low

  * Updating recommends on suckless-tools, formerly dwm-tools.
  * Updating standards version to 3.9.0.
  * Updating to standards version 3.9.1.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:13:21 +0100

dwm (5.8.2-1) unstable; urgency=low

  * Merging upstream version 5.8.2.

 -- Daniel Baumann <daniel@debian.org>  Fri, 04 Jun 2010 17:25:28 +0200

dwm (5.8.1-2) unstable; urgency=low

  * Adding now apparently mandatory extension for xsession desktop files
    (Closes: #574742).

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jun 2010 07:32:34 +0200

dwm (5.8.1-1) unstable; urgency=low

  * Merging upstream version 5.8.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 29 May 2010 20:01:34 +0200

dwm (5.8-1) unstable; urgency=low

  * Merging upstream version 5.8.
  * Updating year in copyright file.
  * Removing strip.patch, not required anymore.
  * Renumbering patches files.

 -- Daniel Baumann <daniel@debian.org>  Sat, 29 May 2010 14:45:04 +0200

dwm (5.7.2-2) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Updating lintian overrides.
  * Sorting dh call in rules to more common order.
  * Updating README.source.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Apr 2010 00:36:04 +0200

dwm (5.7.2-1) unstable; urgency=low

  * Merging upstream version 5.7.2.
  * Wrapping build-depends.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 Oct 2009 16:44:37 +0200

dwm (5.7.1-1) unstable; urgency=low

  * Merging upstream version 5.7.1.
  * Bumping versioned build-depends on debhelper.
  * Bumping versioned build-depends on quilt.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 Oct 2009 16:42:13 +0200

dwm (5.7-1) unstable; urgency=low

  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Merging upstream version 5.7.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 Oct 2009 16:38:25 +0200

dwm (5.6.1-2) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Sorting depends.
  * Prefixing debhelper files with package name.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 17:57:52 +0200

dwm (5.6.1-1) unstable; urgency=low

  * Merging upstream version 5.6.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 13:54:25 +0200

dwm (5.6-2) unstable; urgency=low

  [ Kai Hendry ]
  * Updating Webconverger config.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 23:06:29 +0200

dwm (5.6-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Merging upstream version 5.6.
  * Rediffing strip.dpatch.
  * Removing font.dpatch, not required anymore.

  [ Kai Hendry ]
  * Updating Webconverger config.

  [ Daniel Baumann ]
  * Using quilt rather than dpatch.
  * Updating year in copyright file.
  * Updating package to standards version 3.8.2.
  * Adding description in menu file.
  * Updating rules to current state of the art.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 22:21:42 +0200

dwm (5.5-1) unstable; urgency=low

  * Adding x11-xserver-utils to recommends (Closes: #516640).
  * Merging upstream version 5.5.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 May 2009 12:00:58 +0200

dwm (5.4.1-1) unstable; urgency=low

  * Merging upstream version 5.4.1.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Feb 2009 15:57:00 +0100

dwm (5.4-1) unstable; urgency=low

  * Merging upstream version 5.4.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Feb 2009 15:52:00 +0100

dwm (5.3.1-2) unstable; urgency=low

  * Setting selfgcolor in web config to black.
  * Renaming tag to shortname 'web' instead of 'webconverger'. However,
    this isn't visible anyway, but for cosemtics.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Dec 2008 12:24:00 +0100

dwm (5.3.1-1) unstable; urgency=low

  * Merging upstream version 5.3.1 (Closes: #508296).

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 21:39:00 +0100

dwm (5.3-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 5.3.

  [ Kai Hendry ]
  * Updating Webconverger config.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 21:33:00 +0100

dwm (5.2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating vcs fields in control file.
  * Merging upstream version 5.2 (Closes: #498738).

  [ Kai Hendry ]
  * Updating Webconverger config.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Sep 2008 16:28:00 +0200

dwm (5.1-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding build-depends to libxinerama-dev.
  * Reordering rules file.
  * Correcting icon entry in desktop file.
  * Using lintian debhelper to install lintian overrides.
  * Rediffing terminal patch.
  * Rediffing font patch.
  * Adding patch from Tiago Saboga <tiagosaboga@gmail.com> to respect nostrip
    (Closes: #436781).
  * Rewriting copyright file in machine-interpretable format.


=== debian/control ===
Source: dwm
Section: x11
Priority: optional
Maintainer: Kai Hendry <hendry@iki.fi>
Build-Depends: debhelper (>= 8), libx11-dev, libxinerama-dev
Standards-Version: 3.9.1
Homepage: http://www.suckless.org/
Vcs-Browser: http://git.webconverger.org/?p=dwm
Vcs-Git: git://webconverger.org/git/public/dwm

Package: dwm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: suckless-tools, x11-xserver-utils
Provides: x-window-manager
Description: dynamic window manager
 dwm is a minimalistic window manager. It manages windows in tiling and floating
 modes. Either mode can be applied dynamically, depending on the application in
 use and the task performed.
 .
 In tiling mode windows are managed in a master and stacking column. The master
 column contains the window which needs most attention at a time, whereas the
 stacking column contains all other windows in a stack. Dialog windows are
 managed floating, however.
 .
 In floating mode windows can be resized and moved freely. Windows are grouped
 by tags. All windows with a specific tag can be viewed at a time. But each
 window may contain more than one tag, which makes it visible in several views.
 .
 Please notice that dwm is currently customized through editing its source code,
 so you probably want to build your own dwm packages. This package is compiled
 with the default configuration and should just give you an idea about what dwm
 brings to your desktop.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_clean:
	rm -f config.h
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dwm PREFIX=/usr

	mv debian/dwm/usr/bin/dwm debian/dwm/usr/bin/dwm.default
	ln -s dwm.1.gz debian/dwm/usr/share/man/man1/dwm.default.1.gz

	# Building alternatives
	for ALTERNATIVE in debian/local/config.*; \
	do \
		$(MAKE) clean; \
		cp $${ALTERNATIVE} config.h; \
		CFLAGS="$(CFLAGS)" $(MAKE) PREFIX=/usr; \
		install -m 0755 dwm debian/dwm/usr/bin/dwm.`basename $${ALTERNATIVE} | sed -e 's|config.||' -e 's|.h||'`; \
		ln -s dwm.1.gz debian/dwm/usr/share/man/man1/dwm.`basename $${ALTERNATIVE} | sed -e 's|config.||' -e 's|.h||'`.1.gz; \
	done

	# Configuring maintainer scripts
	sed -e 's|@ALTERNATIVES@|web|' debian/dwm.postinst.in > debian/dwm.postinst
	sed -e 's|@ALTERNATIVES@|web|' debian/dwm.prerm.in > debian/dwm.prerm

## dwm 5.9

=== debian/changelog ===
dwm (5.9-1) unstable; urgency=low

  * New Maintainer (Closes: #647088)
  * Watch file is added
  * Imported Upstream version 5.9
  * debian/control
    + Added myself as maintainer
    + Vcs-* fields now point to collab-maint git repository
    + Bumped Standards-Version to 3.9.2
  * debian/copyright
    + Added dep5 header
    + Added myself to list of copyright holders for debian folder
    + Cosmetic changes
    + Removed extra license block
  * debian/rules
    + Applied a patch provided by David Kalnischkies (Closes: #493819)

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 20 Nov 2011 21:32:50 +0530

## dwm 6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # dwm - dynamic window manager
-# © 2006-2007 Anselm R. Garbe, Sander van Dijk
+# See LICENSE file for copyright and license details.
 
 include config.mk

=== debian/changelog ===
dwm (6.0-8) unstable; urgency=low

  * New Maintainer (Closes: #793985).
  * debian/control:
    - Update the Maintainer field with the new maintainer name.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Use https for the Vcs-Browser field.
  * debian/copyright:
    - Add a copyright entry to mention Hugo's work.
    - Use https for the Format field.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 25 Sep 2015 16:14:43 +0200

dwm (6.0-7) unstable; urgency=medium

  * Fix the override file, Thanks to intrigeri for hints.
  * Bump Standards-Version to 3.9.5, no change required.
  * Use cgit URL for Vcs-Browser field.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 02 Oct 2014 22:21:08 +0530

dwm (6.0-6) unstable; urgency=low

  * Introduce a missing new line in patch which makes it unusable.
    Closes: bug#722994. Thanks to Mats Erik Andersson.
  * Renamed patches to follow patch tagging micro guidelines
    debian/patches/README.
  * Add debian/patches/README documenting patch numbering micro policy.
  * Strip trailing space in 2001_replace_term_cmd.patch
  * Add patch 2004 removing reference to custom library paths and include
    paths, fixing FTBFS on mips*.
    Closes: bug#722765. Thanks to YunQiang Su.
  * Update 2001 patch to change rule to use Iceweasel instead of Firefox.
    Closes: bug#710180. Thanks to Daniel Gazda.
  * Changed maintainer specific configuration, to use xfce4-terminal in
    rule specific to terminals instead of x-terminal-emulator.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 15 Sep 2013 20:34:14 +0530

dwm (6.0-5) unstable; urgency=low

  * debian/control
    + Changed Homepage to http://dwm.suckless.org thanks to David Kalnischkies
      for pointing out
    + Increased minimum debhelper required to 9
    + Removed DM-Upload-Allowed field as it will be deprecated soon.
    + Bumped Standards-Version to 3.9.4, this didn't require any change to the
      package source.
    + Added dependency on xterm | x-terminal-emulator
  * Set debian/compat to 9
  * debian/rules
    + Removed hardening related lines. Since dwm package now uses compat level 9
      hardening will be automagically done by debhelper
  * debian/local/config.maintainer.h:
    + Changed tag 1 class to x-terminal-emulator so any terminal conforming to
      this virtual package will be placed in tag 1

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 11 May 2013 12:26:44 +0530

dwm (6.0-4) unstable; urgency=low

  * debian/rules:
    + Fixed the way dpkg-buildflags were used in rules by removing conditional
      check on buidlflags.mk
  * debian/control:
    + Added dependency on dpkg-dev (>= 1.16.1.1) to remove conditional check for
      existence of dpkg-buildflags in rules file
    + Bumped Standards-Version to 3.9.3. No changes required to package.
  * debian/local/config.maintainer.h:
    + Added tag rules for few more applications

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 14 Jun 2012 20:37:51 +0530

dwm (6.0-3) unstable; urgency=low

  * debian/patches:
    + Renamed all patches to contain numbers in their name.
    + Modified 02-dpkg-buildflags.patch to remove -Os from config.mk
      to allow DEB_BUILD_OPTIONS=noopt
    + Added 03-transparent-makefile.patch to make command execution in Makefile
      visible.
  * debian/clean:
    + Remove config.h generated during compiling of package

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 19 Feb 2012 15:32:47 +0530

dwm (6.0-2) unstable; urgency=low

  * New alternative dwm.winkey is added. This uses windows key as modifier
  * New alternative dwm.maintainers is added. This is the configuration used
    by the current dwm maintainer
  * Reverted config.def.h and config.mk to upstream version

  [Kartik Mistry]
  * debian/control:
    + Added 'DM-Upload-Allowed: yes' field.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 02 Feb 2012 16:39:09 +0530

dwm (6.0-1) unstable; urgency=low

  * Imported Upstream version 6.0
  * debian/local/config.web.h
    + Added missing variable 'nmaster'

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 21 Dec 2011 22:15:39 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Source: dwm
 Section: x11
 Priority: optional
-Maintainer: Kai Hendry <hendry@iki.fi>
-Build-Depends: debhelper (>= 8), libx11-dev, libxinerama-dev
-Standards-Version: 3.9.1
-Homepage: http://www.suckless.org/
-Vcs-Browser: http://git.webconverger.org/?p=dwm
-Vcs-Git: git://webconverger.org/git/public/dwm
+Maintainer: Hugo Lefeuvre <hle@debian.org>
+Build-Depends: debhelper (>= 9),
+               libx11-dev,
+               libxinerama-dev,
+               dpkg-dev (>= 1.16.1.1)
+Standards-Version: 3.9.6
+Homepage: http://dwm.suckless.org/
+Vcs-Git: git://anonscm.debian.org/collab-maint/dwm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/?p=collab-maint/dwm.git
 
 Package: dwm
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: suckless-tools, x11-xserver-utils
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: suckless-tools, x11-xserver-utils, xterm | x-terminal-emulator
 Provides: x-window-manager
 Description: dynamic window manager
  dwm is a minimalistic window manager. It manages windows in tiling and floating

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_clean:
	rm -f config.h
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dwm PREFIX=/usr

	mv debian/dwm/usr/bin/dwm debian/dwm/usr/bin/dwm.default
	ln -s dwm.1.gz debian/dwm/usr/share/man/man1/dwm.default.1.gz

	# Building alternatives
	for ALTERNATIVE in debian/local/config.*.h; \
	do \
		$(MAKE) clean; \
		cp $${ALTERNATIVE} config.h; \
		CFLAGS="$(CFLAGS)" $(MAKE) PREFIX=/usr; \
		install -m 0755 dwm debian/dwm/usr/bin/dwm.`basename $${ALTERNATIVE} | cut -d'.' -f 2`; \
		ln -s dwm.1.gz debian/dwm/usr/share/man/man1/dwm.`basename $${ALTERNATIVE} | cut -d'.' -f 2`.1.gz; \
	done

	# Configuring maintainer scripts
	sed -e "s|@ALTERNATIVES@|$(shell find debian/local/ -name 'config.*.h' | cut -d'.' -f 2 | tr '\n' ' ')|" debian/dwm.postinst.in > debian/dwm.postinst
	sed -e "s|@ALTERNATIVES@|$(shell find debian/local/ -name 'config.*.h' | cut -d'.' -f 2 | tr '\n' ' ')|" debian/dwm.prerm.in > debian/dwm.prerm

## dwm 6.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-SRC = dwm.c
+SRC = drw.c dwm.c util.c
 OBJ = ${SRC:.c=.o}
 
 all: options dwm
@@ -35,8 +35,8 @@
 dist: clean
 	@echo creating dist tarball
 	@mkdir -p dwm-${VERSION}
-	@cp -R LICENSE Makefile README config.def.h config.mk \
-		dwm.1 ${SRC} dwm-${VERSION}
+	@cp -R LICENSE TODO BUGS Makefile README config.def.h config.mk \
+		dwm.1 drw.h util.h ${SRC} dwm.png transient.c dwm-${VERSION}
 	@tar -cf dwm-${VERSION}.tar dwm-${VERSION}
 	@gzip dwm-${VERSION}.tar
 	@rm -rf dwm-${VERSION}

=== debian/changelog ===
dwm (6.1-5) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.1.5 (no changes needed).
    - Update debhelper dependency to >= 11 instead of >= 10.
    - Update Vcs-* fields (Salsa migration).
  * debian/copyright:
    - Update copyright years.
  * Bump compat level to 11.
  * Bump debian/watch version to 4 and use HTTPS protocol.
  * Get rid of trailing whitespaces in debian/changelog.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 21 Jul 2018 10:16:54 -0400

dwm (6.1-4) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.0.0 (no changes needed).
    - Update debhelper dependency to >= 10 instead of >= 9.
  * debian/copyright:
    - Update copyright years.
  * Bump compat level to 10.
  * Revert changes to config.web.h introduced in 6.1-1 (Closes: #857174).

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 30 Aug 2017 12:12:50 +0200

dwm (6.1-3) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes needed).
  * debian/rules:
    - Make dwm repoducible by sorting header files before processing them
      (acknowledgements to Reiner Herrmann for the patch) (Closes: #825545).
  * debian/patches/2004_use_system_searchpaths.patch:
    - Use HTTPS protocol in the BTS link.
  * debian/copyright:
    - Update Format field to match DEP5 recommandations.
    - Use 'Expat' instead of 'MIT'.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 19 Jun 2016 13:23:37 +0200

dwm (6.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Fix broken Vcs-Git link.
  * debian/copyright:
    - Fix broken link in the Format field.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 28 Mar 2016 11:47:52 +0200

dwm (6.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.7.
    - Add a dependency on libxft-dev and libfreetype6-dev to match
      new release requirements.
    - Replace uxterm by stterm in the Recommends field to match new release
      recommendations.
    - Fix broken Vcs-Browser field.
    - Update Vcs-Git field to use an encrypted transport protocol.
  * debian/copyright:
    - Update copyright years.
  * debian/watch:
    - Change link to point to the official git repository (releases
      are more up-to-date there).
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/local/*:
    - Refresh config files for new upstream release.
  * debian/rules:
    - Enable all hardening options to compile as a PIE and add the bindnow
      flag.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 27 Mar 2016 15:12:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: x11
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libx11-dev,
                libxinerama-dev,
+               libxft-dev,
+               libfreetype6-dev,
                dpkg-dev (>= 1.16.1.1)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
 Homepage: http://dwm.suckless.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dwm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/?p=collab-maint/dwm.git
+Vcs-Browser: https://salsa.debian.org/hle/dwm
+Vcs-Git: https://salsa.debian.org/hle/dwm.git
 
 Package: dwm
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: suckless-tools, x11-xserver-utils, xterm | x-terminal-emulator
+Recommends: suckless-tools, x11-xserver-utils, stterm | x-terminal-emulator
 Provides: x-window-manager
 Description: dynamic window manager
  dwm is a minimalistic window manager. It manages windows in tiling and floating

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SHELL := sh -e
 
@@ -26,5 +28,5 @@
 	done
 
 	# Configuring maintainer scripts
-	sed -e "s|@ALTERNATIVES@|$(shell find debian/local/ -name 'config.*.h' | cut -d'.' -f 2 | tr '\n' ' ')|" debian/dwm.postinst.in > debian/dwm.postinst
-	sed -e "s|@ALTERNATIVES@|$(shell find debian/local/ -name 'config.*.h' | cut -d'.' -f 2 | tr '\n' ' ')|" debian/dwm.prerm.in > debian/dwm.prerm
+	sed -e "s|@ALTERNATIVES@|$(shell find debian/local/ -name 'config.*.h' | LC_ALL=C sort | cut -d'.' -f 2 | tr '\n' ' ')|" debian/dwm.postinst.in > debian/dwm.postinst
+	sed -e "s|@ALTERNATIVES@|$(shell find debian/local/ -name 'config.*.h' | LC_ALL=C sort | cut -d'.' -f 2 | tr '\n' ' ')|" debian/dwm.prerm.in > debian/dwm.prerm

=== debian/watch ===
version=4
https://git.suckless.org/dwm/refs /dwm/snapshot/dwm-(.*)\.tar\.gz

## dwm 6.2

=== debian/changelog ===
dwm (6.2-0.1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Jan 2022 09:25:15 -0500

dwm (6.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #978687, #945281).
  * debian/compat:
    - Replace compat file with debhelper-compat virtual package.
  * debian/control:
    - Add debhelper-compat (= 13) to build-depends.
    - Bump Standards-Version to 4.6.0 (no changes needed).
    - Update homepage URL to HTTPS.
    - Add Rules-Requires-Root field (binary-targets).
  * debian/copyright:
    - Update source URL to HTTPS.
    - Update copyright for new upstream release.
    - Update copyright to mention Matteo's work.
  * debian/desktop/dwm.desktop:
    - Remove deprecated encoding key.
    - Correct name entry.
    - Correct comment entry.
    - Correct type entry.
  * debian/local/*:
    - Refresh config files for new upstream release.
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/source/options:
    - Remove custom compression.

 -- Matteo Bini <matteobin@protonmail.com>  Sat, 11 Dec 2021 23:46:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: dwm
 Section: x11
 Priority: optional
-Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Hugo Lefeuvre <hle@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                libxinerama-dev,
                libxft-dev,
                libfreetype6-dev,
                dpkg-dev (>= 1.16.1.1)
-Standards-Version: 4.1.5
-Homepage: http://dwm.suckless.org/
+Standards-Version: 4.6.0
+Homepage: https://dwm.suckless.org/
 Vcs-Browser: https://salsa.debian.org/hle/dwm
 Vcs-Git: https://salsa.debian.org/hle/dwm.git
+Rules-Requires-Root: binary-targets
 
 Package: dwm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh ${@}
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_clean:
 	rm -f config.h

## dwm 6.3

=== debian/changelog ===
dwm (6.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/local/*:
    - Refresh config files for new upstream release.
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/rules:
    - Fix FTCBFS by letting dh_auto_build pass cross tools to make, thanks to
      Helmut Grohne for the patch (Closes: #901091).

 -- Matteo Bini <matteobin@protonmail.com>  Sun, 16 Jan 2022 21:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dwm
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Hugo Lefeuvre <hle@debian.org>
+Maintainer: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                libxinerama-dev,

## dwm 6.4

=== Makefile ===
# dwm - dynamic window manager
# See LICENSE file for copyright and license details.

include config.mk

SRC = drw.c dwm.c util.c
OBJ = ${SRC:.c=.o}

all: options dwm

options:
	@echo dwm build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	cp config.def.h $@

dwm: ${OBJ}
	${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	rm -f dwm ${OBJ} dwm-${VERSION}.tar.gz

dist: clean
	mkdir -p dwm-${VERSION}
	cp -R LICENSE Makefile README config.def.h config.mk\
		dwm.1 drw.h util.h ${SRC} dwm.png transient.c dwm-${VERSION}
	tar -cf dwm-${VERSION}.tar dwm-${VERSION}
	gzip dwm-${VERSION}.tar
	rm -rf dwm-${VERSION}

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f dwm ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/dwm
	mkdir -p ${DESTDIR}${MANPREFIX}/man1
	sed "s/VERSION/${VERSION}/g" < dwm.1 > ${DESTDIR}${MANPREFIX}/man1/dwm.1
	chmod 644 ${DESTDIR}${MANPREFIX}/man1/dwm.1

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/dwm\
		${DESTDIR}${MANPREFIX}/man1/dwm.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
dwm (6.4-1) unstable; urgency=low

  * Salvage package (Closes: #1025325).
  * New upstream release.
  * debian/control:
    - Add new maintainer.
    - Bump Standards-Version to 4.6.2.
    - Remove old maintainer's VCS fields.
    - Change Rules-Requires-Root field to no.
  * debian/copyright:
    - Update copyright for new upstream release.
    - Update Matteo's email address.
  * debian/dwm.menu:
    - Delete menu file due to Technical Committee decision.
  * debian/icons:
    - Update dwm.png with upstream one.
    - Add hicolor scalable icon in places dir (dwm_badge-symbolic.svg) for
      lightdm-gtk-greeter.
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/upstream/metadata:
    - Add basic upstream meta-information.

 -- Matteo Bini <matteobin@tiepi.it>  Fri, 23 Dec 2022 18:14:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: dwm
 Section: x11
 Priority: optional
-Maintainer: Hugo Lefeuvre <hle@debian.org>
+Maintainer: Matteo Bini <matteobin@tiepi.it>
 Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                libxinerama-dev,
                libxft-dev,
                libfreetype6-dev,
                dpkg-dev (>= 1.16.1.1)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://dwm.suckless.org/
-Vcs-Browser: https://salsa.debian.org/hle/dwm
-Vcs-Git: https://salsa.debian.org/hle/dwm.git
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 
 Package: dwm
 Architecture: any

=== debian/watch ===
version=4
https://dl.suckless.org/dwm/ dwm-([0-9.]+)\.tar\.gz

## dwm 6.5

=== debian/changelog ===
dwm (6.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Build-Depends libfreetype6-dev to libfreetype-dev and sort list
      in alphabetical order.
    - Bump Standards-Version to 4.7.0.
    - Change homepage URL to plain HTTP.
  * debian/copyright:
    - Change Source URL to plain HTTP.
    - Update copyright for new upstream release.
  * debian/desktop/dwm.desktop:
    - Add new entries for xdg-desktop-portal 1.17.x. Thanks to Nicholas Bamber
      <np.bamber@gmail.com> for the patch, closes: #1051002.
  * debian/dwm.install:
    - Install dwm-portals.conf in /usr/share/xdg-desktop-portal, for
      xdg-desktop-portal 1.17.x.
  * debian/dwm.lintian-overrides:
    - Add desktop-entry-lacks-keywords-entry and spare-manual-page overrides.
    - Remove unused menu-command-not-in-package override.
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/upstream/metadata:
    - Add Bug-Submit field.
    - Change URLs to plain HTTP.
  * debian/xdg-desktop-portal/dwm-portals.conf:
    - Add portals configuration file for dwm, for xdg-desktop-portal 1.17.x.
  * debian/watch:
    - Change URL to plain HTTP.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 25 Apr 2024 16:23:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Matteo Bini <matteobin@tiepi.it>
 Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.16.1.1),
+               libfreetype-dev,
                libx11-dev,
                libxinerama-dev,
-               libxft-dev,
-               libfreetype6-dev,
-               dpkg-dev (>= 1.16.1.1)
-Standards-Version: 4.6.2
-Homepage: https://dwm.suckless.org/
+               libxft-dev
+Standards-Version: 4.7.0
+Homepage: http://dwm.suckless.org/
 Rules-Requires-Root: no
 
 Package: dwm

## dwm 6.6

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,7 @@
 SRC = drw.c dwm.c util.c
 OBJ = ${SRC:.c=.o}
 
-all: options dwm
-
-options:
-	@echo dwm build options:
-	@echo "CFLAGS   = ${CFLAGS}"
-	@echo "LDFLAGS  = ${LDFLAGS}"
-	@echo "CC       = ${CC}"
+all: dwm
 
 .c.o:
 	${CC} -c ${CFLAGS} $<
@@ -48,4 +42,4 @@
 	rm -f ${DESTDIR}${PREFIX}/bin/dwm\
 		${DESTDIR}${MANPREFIX}/man1/dwm.1
 
-.PHONY: all options clean dist install uninstall
+.PHONY: all clean dist install uninstall

=== debian/changelog ===
dwm (6.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove dpkg-dev from Build-Depends.
    - Bump Standards-Version to 4.7.2.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 21 Aug 2025 15:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Matteo Bini <matteobin@tiepi.it>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                libfreetype-dev,
                libx11-dev,
                libxinerama-dev,
                libxft-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://dwm.suckless.org/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh ${@}
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_clean:
 	rm -f config.h
@@ -25,7 +22,7 @@
 	do \
 		$(MAKE) clean; \
 		cp $${ALTERNATIVE} config.h; \
-		CFLAGS="$(CFLAGS)" $(MAKE) PREFIX=/usr; \
+		CFLAGS="$(CFLAGS)" dh_auto_build -- PREFIX=/usr; \
 		install -m 0755 dwm debian/dwm/usr/bin/dwm.`basename $${ALTERNATIVE} | cut -d'.' -f 2`; \
 		ln -s dwm.1.gz debian/dwm/usr/share/man/man1/dwm.`basename $${ALTERNATIVE} | cut -d'.' -f 2`.1.gz; \
 	done

=== debian/watch ===
version=4
http://dl.suckless.org/dwm/ dwm-([0-9.]+)\.tar\.gz

## dwm 6.8

=== debian/changelog ===
dwm (6.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.7.3.
  * debian/copyright:
    - Update copyright for new upstream release.
  * debian/local/*:
    - Refresh config files for new upstream release.

 -- Matteo Bini <matteobin@tiepi.it>  Tue, 10 Feb 2026 14:46:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libx11-dev,
                libxinerama-dev,
                libxft-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://dwm.suckless.org/
 Rules-Requires-Root: no
